Subject: bug#17412: 24.3; Unicode key events broken, not usable in input method

From: [email-masked] (K. Handa)
Date: Tue, 13 May 2014 08:23:50 +0900

In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:

> > Digging around in keyboard.c, I found that read_char() only passes
> > events with keycode < 256 (line 3050ff) to input-method-function:

> Indeed, this has been in the input-method design from the start.
> I'd be interested to know why.  Handa?

As far as I remember, the relevant code was written by RMS,
and I'm sorry but I don't remember what I discussed with RMS
at that time.

Perhaps we had expected that a user typed C as a character
if C >= 256, not as a key to input another character.

---
Kenichi Handa
[email-masked]